# -*- coding: utf-8 -*-
#
# This module contains the configuration of the individual eric5 installation
#

_pkg_config = {
    'ericDir': r'/usr/lib/python3.4/site-packages/eric5',
    'ericPixDir': r'/usr/lib/python3.4/site-packages/eric5/pixmaps',
    'ericIconDir': r'/usr/lib/python3.4/site-packages/eric5/icons',
    'ericDTDDir': r'/usr/lib/python3.4/site-packages/eric5/DTDs',
    'ericCSSDir': r'/usr/lib/python3.4/site-packages/eric5/CSSs',
    'ericStylesDir': r'/usr/lib/python3.4/site-packages/eric5/Styles',
    'ericDocDir': r'/usr/lib/python3.4/site-packages/eric5/Documentation',
    'ericExamplesDir': r'/usr/lib/python3.4/site-packages/eric5/Examples',
    'ericTranslationsDir': r'/usr/lib/python3.4/site-packages/eric5/i18n',
    'ericTemplatesDir': r'/usr/lib/python3.4/site-packages/eric5/DesignerTemplates',
    'ericCodeTemplatesDir': r'/usr/lib/python3.4/site-packages/eric5/CodeTemplates',
    'ericOthersDir': r'/usr/lib/python3.4/site-packages/eric5',
    'bindir': r'/usr/bin',
    'mdir': r'/usr/lib/python3.4/site-packages',
    'apidir': r'/usr/share/qt4/qsci/api',
    'apis': ['zope-2.11.2.api', 'zope-3.3.1.api', 'zope-2.10.7.api', 'eric5.api', 'eric5.api', 'Ruby-1.9.1.api', 'Ruby-1.8.7.api', 'qss.api'],
    'macAppBundlePath': r'/Applications',
    'macAppBundleName': r'eric5.app',
}

def getConfig(name):
    '''
    Module function to get a configuration value.

    @param name name of the configuration value (string)
    '''
    try:
        return _pkg_config[name]
    except KeyError:
        pass

    raise AttributeError('"{0}" is not a valid configuration value'.format(name))
